# $EPIC: until,v 1.2 2005/03/11 04:55:04 jnelson Exp $
Synopsis:
   until (<condition>) [{] <action> [}]

Description:
   The UNTIL loop is the inverse of the WHILE loop; it performs the
   given <action> so long as <condition> is false.

   The <condition> is evaluated in "expression mode".
   The <action> is evaluated in "text mode".
   The curly-braces around <action> are recommended, but optional.

Examples:
   To display a warning message 3 times:
      @ xx = 3
      until ( xx == 0 ) {
         echo WARNING!  This ship will self destruct in $xx seconds!
         @ xx--
      }

   A infinite loop that behaves like the Unix 'yes' command:
      until ( 0 ) echo yes

See Also:
   while(5)

History:
   The UNTIL command first appeared in EPIC3.
